Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mauda.plugin
Class OperationExecuter

    java.lang.Object
      mauda.plugin.OperationExecuter

Direct Known Subclasses:
  BinQueueOperationExecuter, FibHeapOperationExecuter

    public class OperationExecuter

extends java.lang.Object

Maps operation-ids to the corresponding methods in the data-structure. Every PlugIn must have a class that extends this class.

Author:
  Markus Krebs

Constructor Summary
`OperationExecuter()` Creates a OperationExecuter

Method Summary
`void` | `execute(Operation op, java.lang.Object o)` Executes an Operation on the current data-structure
`void` | `execute(SubOperation op, java.lang.Object o)` Executes an SubOperation on the current data-structure
`void` | `executeTemplate(Operation op, java.lang.Object o)` Executes an Operation on a copy of the current data-structure, and filles consequently the SubOperations for the current operation, without changing the current data-structure.
`Ratings` | `getRatings()` Gets the Ratings for the SubOperations.
`void` | `setRatings(Ratings r)` Sets the Ratings for the SubOperations.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OperationExecuter

    public OperationExecuter()

  Creates a OperationExecuter

Method Detail

### executeTemplate

    public void executeTemplate(Operation op,
                                java.lang.Object o)

  Executes an Operation on a copy of the current data-structure, and filles consequently the SubOperations for the current operation, without changing the current data-structure. This method is needed to determine the correct suboperations for an Operation.

  Parameters:
    `op` - Operation
    `o` - data-structure

### execute

    public void execute(Operation op,
                        java.lang.Object o)

  Executes an Operation on the current data-structure

  Parameters:
    `op` - Operation
    `o` - data-structure

### execute

    public void execute(SubOperation op,
                        java.lang.Object o)

  Executes an SubOperation on the current data-structure

  Parameters:
    `op` - SubOperation
    `o` - data-structure

### getRatings

    public Ratings getRatings()

  Gets the Ratings for the SubOperations.

  Returns:
    Ratings

### setRatings

    public void setRatings(Ratings r)

  Sets the Ratings for the SubOperations.

  Parameters:
    `r` - Ratings

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD